Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK

## javax.swing.tree
Class TreePath

Method Summary
`Object` | `getAt(int index)` Support the subscript operator for TreePath.
`Iterator` | `iterator()` Returns an Iterator which traverses the TreePath one path at a time.
`TreePath` | `leftShift(Object p)` Overloads the left shift operator to provide an easy way to add paths to a treePath.
`int` | `size()` Provide the standard Groovy `size()` method for `TreePath`.

Method Detail

### getAt

    public Object getAt(int index)

  Support the subscript operator for TreePath.

Parameters:
  `index` - the index of the path to get.

Returns:
  the path at the given index

Since:
  1.6.4

### iterator

    public Iterator iterator()

  Returns an Iterator which traverses the TreePath one path at a time.

Returns:
  an Iterator for a TreePath

Since:
  1.6.4

### leftShift

    public TreePath leftShift(Object p)

  Overloads the left shift operator to provide an easy way to add paths to a treePath.

  WARNING: this operation returns a new TreePath, not the original one.

Parameters:
  `p` - an object to be added to the treePath..

Returns:
  same treePath, after the value was added to it.

Since:
  1.6.4

### size

    public int size()

  Provide the standard Groovy `size()` method for `TreePath`.

Returns:
  the path count of the treePath

Since:
  1.6.4

Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK